mismunch(6)

NAME
mismunch - munches errors

SYNOPSIS
mismunch [-display host:display.screen] [-foreground color] [-background color] [-window] [-root] [-mono] [-install] [-visual visual] [-delay usecs] [-xor] [-noxor] [-clear number] [-simul number]

DESCRIPTION
The mismunch program is a creatively broken misimplementation of the classic munching squares graphics hack.

OPTIONS
mismunch accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-mono
    If on a color display, pretend we're on a monochrome display.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-delay usecs
    The delay between steps of the animation, in microseconds. Default: 2500.

-xor
    Use the XOR drawing function. This is the default.

-no-xor
    Don't use the XOR drawing function.

-clear number
    Number of squares to misdraw before clearing the display. Default: 65.

-simul number
    Number of squares to misdraw simultaneously. Default: 5.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1), munch(6)

COPYRIGHT
Copyright © 2004 Steven Hazel. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty. Based on the munch screensaver Copyright © 1997, Tim Showalter <tjs@andrew.cmu.edu>.

AUTHOR
Steven Hazel <sah@thalassocracy.org>, 10-Feb-04